//BeOSRADIO Probe

#include <View.h>
#include <String.h>
#include <Message.h>

class BMessageRunner;
class BBitmap;
class BLooper;

_EXPORT class RadioProbeView : public BView
{
	public:
		RadioProbeView(BRect frame);
		RadioProbeView(BMessage *archive);
		~RadioProbeView();

		status_t Archive(BMessage *into, bool deep = true) const;
		static	BArchivable	*Instantiate(BMessage *from);
	
		void AttachedToWindow();
		void Draw(BRect updateRect);
		void FrameResized(float width, float height);
		void MouseDown(BPoint where);
		void MessageReceived(BMessage *msg);

	protected:
		void Init();
		BString mTitle, mArtist;
		BMessage mMessage;
		BMessageRunner *mRunner;
		BLooper *mLooper;
		BBitmap *mBitmap;
		BMessage mProxyInfo;
};
